summaryrefslogtreecommitdiffstats
path: root/system/mdf2iso/mdf2iso.SlackBuild
diff options
context:
space:
mode:
author Hunter Sezen2018-07-16 19:01:06 +0200
committer Willy Sudiarto Raharjo2018-07-16 19:01:06 +0200
commit71531486aaedacdcce0f56ce280bb08f8b07e17d (patch)
treeea166c36dba6f5aa8ddbc63dac3b02faec8f59d5 /system/mdf2iso/mdf2iso.SlackBuild
parentcdc86becc22578c5548c0d3691a9e953901dc574 (diff)
downloadslackbuilds-71531486aaedacdcce0f56ce280bb08f8b07e17d.tar.gz
system/mdf2iso: Update SOURCE.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/mdf2iso/mdf2iso.SlackBuild')
-rw-r--r--system/mdf2iso/mdf2iso.SlackBuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/system/mdf2iso/mdf2iso.SlackBuild b/system/mdf2iso/mdf2iso.SlackBuild
index 7500e7e05d..3cb3bb4732 100644
--- a/system/mdf2iso/mdf2iso.SlackBuild
+++ b/system/mdf2iso/mdf2iso.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for mdf2iso
-# Copyright 2016 Hunter Sezen California, USA
+# Copyright 2016, 2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -54,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -77,10 +77,11 @@ CFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
+install -Dm0644 $CWD/$PRGNAM.1 $PKG/usr/man/man1/$PRGNAM.1
+
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-install -Dm0644 $CWD/$PRGNAM.1 $PKG/usr/man/man1/$PRGNAM.1
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done